customer_portal
Get Order Payment Status
Get the current payment status for an order.
GET
/
v1
/
customer-portal
/
orders
/
{id}
/
payment-status
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.customer_portal.orders.get_payment_status(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.customerPortal.orders.getPaymentStatus(
"00000000-0000-4000-8000-000000000000",
);
console.log(response);
curl --request GET \
--url https://api.ourpay.dev/v1/customer-portal/orders/{id}/payment-status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ourpay.dev/v1/customer-portal/orders/{id}/payment-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"error": "<string>"
}{
"error": "ResourceNotFound",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
customer_sessionmember_session
Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.
Path Parameters
The order ID.
⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.customer_portal.orders.get_payment_status(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.customerPortal.orders.getPaymentStatus(
"00000000-0000-4000-8000-000000000000",
);
console.log(response);
